# -*- encoding: utf-8 -*-

Gem::Specification.new do |s|
  s.name = %q{ffi-swig-generator}
  s.version = "0.3.2"

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.authors = ["Andrea Fazzi"]
  s.date = %q{2009-06-25}
  s.default_executable = %q{ffi-gen}
  s.description = %q{ffi-swig-generator is a ruby-ffi wrapper code generator that produces
ruby-ffi glue code parsing C header files through SWIG.

ffi-swig-generator is able to traverse an XML parse tree generated by
the +swig+ command and to produce a ruby-ffi code from it.

ffi-swig-generator is shipped with a command line tool and a rake task
that automates the code generation process.

ffi-swig-generator XML capabilities are provided by nokogiri.}
  s.email = %q{andrea.fazzi@alcacoop.it}
  s.executables = ["ffi-gen"]
  s.extra_rdoc_files = ["History.txt", "README.rdoc", "bin/ffi-gen"]
  s.files = [".hg/00changelog.i", ".hg/branch", ".hg/branch.cache", ".hg/dirstate", ".hg/hgrc", ".hg/requires", ".hg/store/00changelog.i", ".hg/store/00manifest.i", ".hg/store/data/.hgignore.i", ".hg/store/data/.hgtags.i", ".hg/store/data/_history.txt.i", ".hg/store/data/_r_e_a_d_m_e.rdoc.i", ".hg/store/data/_rakefile.i", ".hg/store/data/bin/ffi-gen.i", ".hg/store/data/cucumber.yml.i", ".hg/store/data/examples/_rakefile.i", ".hg/store/data/examples/interfaces/libc.i.i", ".hg/store/data/examples/interfaces/wiiuse.i.i", ".hg/store/data/features/generate.feature.i", ".hg/store/data/features/step__definitions/generate.rb.i", ".hg/store/data/features/support/env.rb.i", ".hg/store/data/features/support/results.rb.i", ".hg/store/data/features/support/templates.rb.i", ".hg/store/data/lib/ffi-swig-generator.rb.i", ".hg/store/data/lib/generator/application.rb.i", ".hg/store/data/lib/generator/constant.rb.i", ".hg/store/data/lib/generator/enum.rb.i", ".hg/store/data/lib/generator/function.rb.i", ".hg/store/data/lib/generator/generator.rb.i", ".hg/store/data/lib/generator/generatortask.rb.i", ".hg/store/data/lib/generator/logger.rb.i", ".hg/store/data/lib/generator/node.rb.i", ".hg/store/data/lib/generator/parser.rb.i", ".hg/store/data/lib/generator/struct.rb.i", ".hg/store/data/lib/generator/type.rb.i", ".hg/store/data/lib/generator/types.rb.i", ".hg/store/data/pkg/ffi-swig-generator-0.2.1.gem.i", ".hg/store/data/pkg/ffi-swig-generator-0.2.1.tgz.i", ".hg/store/data/pkg/ffi-swig-generator-0.2.1/.gitignore.i", ".hg/store/data/pkg/ffi-swig-generator-0.2.1/_history.txt.i", ".hg/store/data/pkg/ffi-swig-generator-0.2.1/_r_e_a_d_m_e.rdoc.i", ".hg/store/data/pkg/ffi-swig-generator-0.2.1/_rakefile.i", ".hg/store/data/pkg/ffi-swig-generator-0.2.1/bin/ffi-gen.i", ".hg/store/data/pkg/ffi-swig-generator-0.2.1/examples/_rakefile.i", ".hg/store/data/pkg/ffi-swig-generator-0.2.1/examples/interfaces/libc.i.i", ".hg/store/data/pkg/ffi-swig-generator-0.2.1/examples/interfaces/wiiuse.i.i", ".hg/store/data/pkg/ffi-swig-generator-0.2.1/ffi-swig-generator.gemspec.i", ".hg/store/data/pkg/ffi-swig-generator-0.2.1/lib/ffi-swig-generator.rb.i", ".hg/store/data/pkg/ffi-swig-generator-0.2.1/lib/generator/application.rb.i", ".hg/store/data/pkg/ffi-swig-generator-0.2.1/lib/generator/generator.rb.i", ".hg/store/data/pkg/ffi-swig-generator-0.2.1/lib/generator/generatortask.rb.i", ".hg/store/data/pkg/ffi-swig-generator-0.2.1/spec/ffi-swig-generator__spec.rb.i", ".hg/store/data/pkg/ffi-swig-generator-0.2.1/spec/generator/generator__spec.rb.i", ".hg/store/data/pkg/ffi-swig-generator-0.2.1/spec/generator/swig/constants.i.i", ".hg/store/data/pkg/ffi-swig-generator-0.2.1/spec/generator/swig/enums.i.i", ".hg/store/data/pkg/ffi-swig-generator-0.2.1/spec/generator/swig/functions.i.i", ".hg/store/data/pkg/ffi-swig-generator-0.2.1/spec/generator/swig/structs.i.i", ".hg/store/data/pkg/ffi-swig-generator-0.2.1/spec/generator/swig/testlib.i.i", ".hg/store/data/pkg/ffi-swig-generator-0.2.1/spec/generator/swig/typedefs.i.i", ".hg/store/data/pkg/ffi-swig-generator-0.2.1/spec/generator/swig/types.i.i", ".hg/store/data/pkg/ffi-swig-generator-0.2.1/spec/generator/swig/unions.i.i", ".hg/store/data/pkg/ffi-swig-generator-0.2.1/spec/spec.opts.i", ".hg/store/data/pkg/ffi-swig-generator-0.2.1/spec/spec__helper.rb.i", ".hg/store/data/pkg/ffi-swig-generator-0.2.1/tasks/ann.rake.i", ".hg/store/data/pkg/ffi-swig-generator-0.2.1/tasks/bones.rake.i", ".hg/store/data/pkg/ffi-swig-generator-0.2.1/tasks/gem.rake.i", ".hg/store/data/pkg/ffi-swig-generator-0.2.1/tasks/git.rake.i", ".hg/store/data/pkg/ffi-swig-generator-0.2.1/tasks/notes.rake.i", ".hg/store/data/pkg/ffi-swig-generator-0.2.1/tasks/post__load.rake.i", ".hg/store/data/pkg/ffi-swig-generator-0.2.1/tasks/rdoc.rake.i", ".hg/store/data/pkg/ffi-swig-generator-0.2.1/tasks/rubyforge.rake.i", ".hg/store/data/pkg/ffi-swig-generator-0.2.1/tasks/setup.rb.i", ".hg/store/data/pkg/ffi-swig-generator-0.2.1/tasks/spec.rake.i", ".hg/store/data/pkg/ffi-swig-generator-0.2.1/tasks/svn.rake.i", ".hg/store/data/pkg/ffi-swig-generator-0.2.1/tasks/test.rake.i", ".hg/store/data/spec/ffi-swig-generator__spec.rb.i", ".hg/store/data/spec/generator/constant__spec.rb.i", ".hg/store/data/spec/generator/enum__spec.rb.i", ".hg/store/data/spec/generator/function__spec.rb.i", ".hg/store/data/spec/generator/generator__spec.rb.i", ".hg/store/data/spec/generator/node__spec.rb.i", ".hg/store/data/spec/generator/parser__spec.rb.i", ".hg/store/data/spec/generator/struct__spec.rb.i", ".hg/store/data/spec/generator/swig/constants.i.i", ".hg/store/data/spec/generator/swig/enums.i.i", ".hg/store/data/spec/generator/swig/functions.i.i", ".hg/store/data/spec/generator/swig/structs.i.i", ".hg/store/data/spec/generator/swig/testlib.i.i", ".hg/store/data/spec/generator/swig/typedefs.i.i", ".hg/store/data/spec/generator/swig/types.i.i", ".hg/store/data/spec/generator/swig/unions.i.i", ".hg/store/data/spec/generator/type__spec.rb.i", ".hg/store/data/spec/spec.opts.i", ".hg/store/data/spec/spec__helper.rb.i", ".hg/store/data/tasks/ann.rake.i", ".hg/store/data/tasks/bones.rake.i", ".hg/store/data/tasks/cucumber.rake.i", ".hg/store/data/tasks/gem.rake.i", ".hg/store/data/tasks/git.rake.i", ".hg/store/data/tasks/notes.rake.i", ".hg/store/data/tasks/post__load.rake.i", ".hg/store/data/tasks/rdoc.rake.i", ".hg/store/data/tasks/rubyforge.rake.i", ".hg/store/data/tasks/setup.rb.i", ".hg/store/data/tasks/spec.rake.i", ".hg/store/data/tasks/svn.rake.i", ".hg/store/data/tasks/test.rake.i", ".hg/store/undo", ".hg/undo.branch", ".hg/undo.dirstate", ".hgignore", ".hgtags", "History.txt", "README.rdoc", "Rakefile", "bin/ffi-gen", "cucumber.yml", "examples/Rakefile", "examples/generated/libc_wrap.rb", "examples/generated/libc_wrap.xml", "examples/generated/wiiuse_wrap.rb", "examples/generated/wiiuse_wrap.xml", "examples/interfaces/libc.i", "examples/interfaces/wiiuse.i", "features/generate.feature", "features/step_definitions/generate.rb", "features/support/env.rb", "features/support/templates.rb", "lib/ffi-swig-generator.rb", "lib/generator/application.rb", "lib/generator/constant.rb", "lib/generator/enum.rb", "lib/generator/function.rb", "lib/generator/generatortask.rb", "lib/generator/logger.rb", "lib/generator/node.rb", "lib/generator/parser.rb", "lib/generator/struct.rb", "lib/generator/type.rb", "lib/generator/types.rb", "spec/ffi-swig-generator_spec.rb", "spec/generator/constant_spec.rb", "spec/generator/enum_spec.rb", "spec/generator/function_spec.rb", "spec/generator/parser_spec.rb", "spec/generator/struct_spec.rb", "spec/generator/swig/constants.i", "spec/generator/swig/enums.i", "spec/generator/swig/functions.i", "spec/generator/swig/structs.i", "spec/generator/swig/testlib.i", "spec/generator/swig/typedefs.i", "spec/generator/swig/types.i", "spec/generator/swig/unions.i", "spec/generator/type_spec.rb", "spec/spec.opts", "spec/spec_helper.rb", "tasks/ann.rake", "tasks/bones.rake", "tasks/cucumber.rake", "tasks/gem.rake", "tasks/git.rake", "tasks/notes.rake", "tasks/post_load.rake", "tasks/rdoc.rake", "tasks/rubyforge.rake", "tasks/setup.rb", "tasks/spec.rake", "tasks/svn.rake", "tasks/test.rake"]
  s.homepage = %q{http://kenai.com/projects/ruby-ffi/sources/swig-generator/show}
  s.rdoc_options = ["--main", "README.rdoc"]
  s.require_paths = ["lib"]
  s.rubyforge_project = %q{ffi-swig-gen}
  s.rubygems_version = %q{1.3.7}
  s.summary = %q{ffi-swig-generator is a ruby-ffi wrapper code generator that produces ruby-ffi glue code parsing C header files through SWIG}

  if s.respond_to? :specification_version then
    current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
    s.specification_version = 3

    if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
      s.add_runtime_dependency(%q<rake>, [">= 0.8.7"])
      s.add_runtime_dependency(%q<nokogiri>, [">= 1.3.1"])
    else
      s.add_dependency(%q<rake>, [">= 0.8.7"])
      s.add_dependency(%q<nokogiri>, [">= 1.3.1"])
    end
  else
    s.add_dependency(%q<rake>, [">= 0.8.7"])
    s.add_dependency(%q<nokogiri>, [">= 1.3.1"])
  end
end
